<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Ballot_Controller_Admin extends CI_Controller {

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see https://codeigniter.com/user_guide/general/urls.html
	 */
	public function Show_Ballots()
	{
		$this->load->model('Fetch_Ballot_Model');
      
        if($this->Fetch_Ballot_Model->Fetch_Data())
            {   
                $all_data['data']=$this->Fetch_Ballot_Model->Fetch_Data();

                $this->load->view('Ballot_View_Admin',$all_data);
            }
        else
        {
            $all_data['data']=null;
            $this->session->set_flashdata('no_ballots'.'No ballots found');
            $this->load->view('Ballot_View_Admin',$all_data);

        }
    }
    
    
    
}


